Add Creatives to Ad Groups

📘

URL: POST /api/v1/adGroupCreativeAssociations

Note:

  • This API supports batch operations with a max batch size of 5. For batch operations, the advertiserId must be the same across all requests in the payload
  • An ad group can only include creatives that are APPROVED or PENDING_APPROVAL. Furthermore, for an ad group to go live, it must contain at least one APPROVED creative.
  • You can add or remove creatives to or from ad groups with the following status:
    • DRAFT
    • SCHEDULED
    • LIVE
    • PAUSED
  • You cannot add or remove creatives to or from ad groups in COMPLETE status.

Request Parameters

ParameterNotesTypeRequiredPossible Values
advertiserIdThe ID of the advertiserintegerYUnique numeric identifier
adGroupIdThe ID of the ad groupintegerYUnique numeric identifier
creativeIdThe ID of the creative to be added to the ad groupstringYUnique numeric identifier
defaultUrlTrackerDefault landing page and trackers configuration applied to ad units that do not have an explicit urlTracker override

The defaultUrlTracker objects are detailed

here

Array objectConditional
Note: Mandatory if urlTracker object is not provided.
urlTrackerPer-ad-unit tracker configuration. If an ad unit is included in urlTracker, its entry fully overrides defaultUrlTracker for that ad unit. Missing fields in the ad-unit entry are not inherited from defaultUrlTracker.

Note: If using urlTracker to set landing page and trackers for all ad units, ensure that clickUrl* is provided for all ad units (marquee, skyline, gallery, brandbox, and tile) while associating a creative, to ensure complete ad delivery on all ad units.
The urlTracker objects are detailed

here

Array objectConditional
Note: Mandatory if defaultUrlTracker object is not provided.
badgeSettings

List of badge configurations. Each object can have:

  • type (Enum: ROLLBACK, EXPRESS_DELIVERY)
  • enabled (default: true)


Note: Badges can be enabled only for eligible creatives. Refer to the eligibleBadges field in the List Creatives API response to determine which badges are applicable for each creative"

The badgeSettings objects are detailed

here

Array NEnum Values: ROLLBACK, EXPRESS_DELIVERY
showPrice

When true, the item’s price appears in the creative.
Default is false if the field is omitted.

Note:
You may set showPrice = true for eligible creatives only when exactly one item is associated with the creative.

BooleanN
  • true
  • false(default)
associatedItems

List of item IDs to be associated with the creative. Max size: 5

The items should be part of the campaign's featured itemset.

Array<string>Nvalid itemId

defaultUrlTracker Objects

ParameterNotesTypeRequiredPossible Values
clickUrlDesktopMWebClick URL for Desktop & mWeb associated with specified adUnit. URLs must be hosted on Walmart.com (e.g. search page, browse page, item page, category page and brand page)stringY
clickUrlAppClick URL for Desktop & mWeb associated with specified adUnit. URLs must be hosted on Walmart.com (e.g. search page, browse page, item page, category page and brand page)stringY
dcmClickUrlDesktopMWebDCM click tracker for Desktop & mWebstringN
dcmClickUrlAppDCM click tracker for App.

Note: If this field is omitted, the system will automatically use the value provided in dcmClickUrlDesktopMWeb.
stringN
dcmImprUrlDesktopMWebDCM impression tracker for Desktop & mWebstringN
dcmImprUrlAppDCM impression tracker for AppstringN
iasImprUrlDesktopMWebIAS impression tracker for Desktop & mWebstringN
iasImprUrlAppIAS impression tracker for AppstringN
dvImprUrlDesktopMWebDV impression tracker for Desktop & mWebstringN
dvImprUrlAppDV impression tracker for AppstringN
iasDesktopMWebTagIAS IVT/ Viewability tracking on Desktop & mWebstringN
dvDesktopMWebTagDV IVT/ Viewability tracking on Desktop & mWebstringN

urlTracker Objects

ParameterNotesTypeRequiredPossible Values
adUnitAvailable ad units
Note: Use this field to configure landing pages and trackers for all supported ad units within a creative.
stringYValues allowed when mediaType = BANNER for corresponding Campaign:
  • SKYLINE
  • MARQUEE
  • GALLERY
  • BRANDBOX
  • TILE
clickUrlDesktopMWebClick URL for Desktop & mWeb associated with specified adUnit. URLs must be hosted on Walmart.com. (e.g. search page, browse page, item page, category page and brand page)stringY
clickUrlAppClick URL for App associated with the specified adUnit. Direct links must be hosted on Walmart.com. (e.g. search page, browse page, item page, category page and brand page)stringY
dcmClickUrlDesktopMWebDCM click tracker for Desktop & mWebstringN
dcmClickUrlApp

DCM click tracker for App

Note: If this field is omitted, the system will automatically use the value provided in dcmClickUrlDesktopMWeb.

stringN
dcmImprUrlDesktopMWebDCM impression tracker for Desktop & mWebstringN
dcmImprUrlAppDCM impression tracker for AppstringN
iasImprUrlDesktopMWebIAS impression tracker for Desktop & mWebstringN
iasImprUrlAppIAS impression tracker for AppstringN
dvImprUrlDesktopMWebDV impression tracker for Desktop & mWebstringN
dvImprUrlAppDV impression tracker for AppstringN
iasDesktopMWebTagIAS IVT/ Viewability tracking on Desktop & mWebstringN
dvDesktopMWebTagDV IVT/ Viewability tracking on Desktop & mWebstringN

badgeSettings Objects

Each object represent the each badge setting. Optional field, badgeSettings type array, mandatorily specify associatedItems if enabled is set to true.

ParametersNotesTypeRequiredPossible Values
enabledSpecifies whether the badge is enabled or disabledbooleanNdefault: true
typeType of BadgestringYEnum values: ROLLBACK, EXPRESS_DELIVERY

👉

General guidelines

  • You must specify both clickUrlDesktopMWeb and clickUrlApp for each ad unit; missing clickUrlDesktopMWeb and clickUrlApp for each ad unit, may prevent the ad from serving.

  • If dcmClickUrlApp is omitted, the system will automatically use the value provided in dcmClickUrlDesktopMWeb.

  • Supported ad units:

    • Banner ads: SKYLINE, MARQUEE, GALLERY, BRANDBOX, and TILE
    • Video: BRANDBOX, CHECKIN, FEATURE_4

  • Refer to the adUnits field in the List Creative API response to determine which creatives are compatible with these ad unit groups. The List Creative API uses more specific identifiers for (e.g., skylineAppV2, galleryDesktop), but for this API, you should use the high-level types: SKYLINE, MARQUEE, GALLERY, BRANDBOX, TILE

  • The clickUrl fields provided for a given high-level ad unit (e.g., SKYLINE) will apply to all versions of that ad unit, including skyline, skylineV2, and skylineV3.

  • When using associatedItems to link an item to a creative, the item must be part of the campaign’s featured itemset (promoted items)

  • If a creative already has an associated item (defined while building the creative), it can only be added to an ad group if that SKU’s item is included in the campaign’s featured itemset (promoted items)


👉

defaultUrlTracker precedence and override behavior

  • A request must include at least one of the following: defaultUrlTracker, urlTracker. If both are omitted, the request is invalid.
  • When both defaultUrlTracker and urlTracker are provided, landing page and trackers are evaluated per ad unit:
    • defaultUrlTracker is used as the default configuration for ad units that do not have a matching entry in urlTracker
    • If an ad unit has an entry in urlTracker, that entry overrides defaultUrlTracker for that ad unit
    • This override is a full ad-unit override, not a field-by-field merge
      • If an ad unit is present in urlTracker, only the fields included in that ad unit’s urlTracker object are applied to that ad unit
      • Fields from defaultUrlTracker do not carry over to that ad unit unless they are also explicitly included in its urlTracker entry. Missing URLs/trackers will not be inherited from defaultUrlTracker

👉

Rules when using associatedItems to link an item to a creative

  • The item must be included in the campaign’s featured item set (promoted items)
  • A creative that already has an associated item (defined during creative creation) can only be added to an ad group if that SKU exists in the campaign’s featured item set.
  • A creative can have up to 5 associated items (SKUs).
  • Valid itemId values must be retrieved using: POST /api/v1/items/list

👉

Rules for Badges, showPrice, items, and clickUrl

  1. Creative Eligibility: Badges can only be enabled for creatives that:
    1. Are eligible for the badge (see eligibleBadges field in the List Creatives API response).
    2. Have at least one associated SKU.
    3. Use a valid landing page based on the number of associated SKUs:
      • 1 SKU → Product Detail Page (PDP)
      • 2–5 SKUs → Shelf page generated from the creative’s featured item set
    4. Use the same clickUrl for Desktop/MWeb and App when a badge is enabled.
  2. Badge Type Constraints
    • Rollback badge can be enabled when 1–5 SKUs are associated.
    • Express Delivery badge can be enabled only when exactly 1 SKU is associated
    • showPrice can be set to true only when
      • exactly 1 item is associated to the creative
      • creative is created after 06/30/2025
  3. clickUrl* Requirements When Badge or showPrice Is Enabled
    1. When a badge or showPrice is enabled, clickUrl must follow strict landing page rules:
      • 1 item associated → clickUrl must point to that item’s product detail page (PDP).
      • 2–5 items associated → clickUrl must point to a shelf page generated from the creative’s featured item set. To set your creative’s landing page to a Brand Shop or Shelf page, use the advertisingUrl value returned from the POST /api/v1/brand-landing-pages/list endpoint)
    2. clickUrl for Desktop/MWeb and App must be identical when any badge or showPrice is enabled

👉

Rules for Video Ads

  • Creative restriction: When mediaType of an ad group is VIDEO, only video creatives can be linked to the ad groups
  • Unsupported features: The following fields are not applicable for Video ads: badgeSettings, showPrice and associatedItems and if provided will return and error
  • Targeting: If a video campaign uses Contextual targeting, the ads will not be served on Homepage FEATURE_4, an error will be thrown
  • Tracking URLs: Users may provide impression and click tracking URLs; however, these will not affect ad serving or performance outcomes.

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the APIYPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide. This key can be repurposed for SP API access as well.
WM_CONSUMER.IDWe will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for further explanation on this
WM_SEC.AUTH_SIGNATUREAuth signature as an API keyYUse the signature generator code from Getting Started Guide to generate this value
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestampYUse the signature generator code (Getting Started Guide) to generate this value
WM_SEC.KEY_VERSIONWe will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the APIY1

Sample Request - Creative Association with only Rollback badge enabled

curl -X POST \ 'https: //developer.api.us.walmart.com/api-proxy/service/display/api/v1/api/v1/adGroupCreativeAssociations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_CONSUMER.ID: abcde-v123-fa2r-a1fs-asd45f6qef' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '[ { "advertiserId": 1, "adGroupId": 1, "creativeId": "abcd-1234", "urlTracker": [ { "adUnit": "MARQUEE", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" }, { "adUnit": "GALLERY", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" }, { "adUnit": "SKYLINE", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" }, { "adUnit": "BRANDBOX", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" }, { "adUnit": "TILE", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" } ], "badgeSettings": [ { "enabled": true, "type": "ROLLBACK" } ], "showPrice": false, "associatedItems": [ "12345", "3456" ] }
]'

Sample Request - with all badges enabled

curl -X POST \ 'https://developer.api.us.walmart.com/api-proxy/service/display/api/v1/api/v1/adGroupCreativeAssociations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_CONSUMER.ID: abcde-v123-fa2r-a1fs-asd45f6qef' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '[ { "advertiserId": 1, "adGroupId": 1, "creativeId": "abcd-1234", "urlTracker": [ { "adUnit": "MARQUEE", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" }, { "adUnit": "GALLERY", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" }, { "adUnit": "SKYLINE", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" }, { "adUnit": "BRANDBOX", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" }, { "adUnit": "TILE", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" } ], "badgeSettings": [ { "enabled": true, "type": "ROLLBACK" }, { "enabled": true, "type": "EXPRESS_DELIVERY" } ], "showPrice": true, "associatedItems": [ "12345" ] } ]'

Sample Request (Batch Operation)

curl -X POST \ 'https: //developer.api.us.walmart.com/api-proxy/service/display/api/v1/api/v1/adGroupCreativeAssociations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_CONSUMER.ID: abcde-v123-fa2r-a1fs-asd45f6qef' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '[ { "advertiserId": 1, "adGroupId": 1, "creativeId": "abcd-1234", "urlTracker": [ { "adUnit": "MARQUEE", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" }, { "adUnit": "GALLERY", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" }, { "adUnit": "SKYLINE", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" }, { "adUnit": "BRANDBOX", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" }, { "adUnit": "TILE", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" } ], "badgeSettings": [ { "enabled": false, "type": "ROLLBACK" } ], "showPrice": false, "associatedItems": [ "12345", "65341" ] }, { "advertiserId": 1, "adGroupId": 2, "creativeId": "abcd-1234", "urlTracker": [ { "adUnit": "MARQUEE", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" }, { "adUnit": "GALLERY", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" }, { "adUnit": "SKYLINE", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" }, { "adUnit": "BRANDBOX", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" }, { "adUnit": "TILE", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" } ], "badgeSettings": [ { "enabled": true, "type": "EXPRESS_DELIVERY" } ], "showPrice": false, "associatedItems": [ "12345" ] }
]'

Create association with TILE adUnits and no badge settings

curl --location --request POST 'https: //developer.api.us.walmart.com/api-proxy/service/display/api/v1/api/v1/adGroupCreativeAssociations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_CONSUMER.ID: abcde-v123-fa2r-a1fs-asd45f6qef' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '[ { "advertiserId": 1, "adGroupId": 1, "creativeId": "abcd-1234", "urlTracker": [ { "adUnit": "MARQUEE", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" }, { "adUnit": "TILE", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" } ] }
]'

Sample Request - Create association For Video

curl --location --request POST 'https: //developer.api.us.walmart.com/api-proxy/service/display/api/v1/api/v1/adGroupCreativeAssociations' \ --header 'Content-Type: application/json' \ --header 'Authorization: Bearer <auth_token>' \ --header 'WM_SEC.AUTH_SIGNATURE: ***********' \ --header 'WM_CONSUMER.ID: abcde-v123-fa2r-a1fs-asd45f6qef' \ --header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.intimestamp: 1565309779' \ --data '[ { "advertiserId": 1, "adGroupId": 1, "creativeId": "abcd-1234", "urlTracker": [ { "adUnit": "BRANDBOX", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app" }, { "adUnit": "CHECKIN", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app" }, { "adUnit": "FEATURE_4", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app" } ] } ]'

Sample Request - Create association with defaultUrlTracker and ad-unit override (For the TILE ad unit, the values in urlTracker override the default landing page URLs and trackers)

curl -X POST \ 'https: //developer.api.us.walmart.com/api-proxy/service/display/api/v1/api/v1/adGroupCreativeAssociations' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer <auth_token>' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_CONSUMER.ID: abcde-v123-fa2r-a1fs-asd45f6qef' \
--header 'WM_SEC.KEY_VERSION: 1' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--data '[ { "advertiserId": 1, "adGroupId": 1, "creativeId": "abcd-1234", "defaultUrlTracker": { "clickUrlDesktopMWeb": "https://www.test-default.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test-default.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test-default.net", "dcmClickUrlApp": "https://test-default.net", "dcmImprUrlDesktopMWeb": "https://test-default.com/abd.jpeg", "dcmImprUrlApp": "https://test-default.com/def.jpeg", "iasImprUrlDesktopMWeb": "https-default://test.com/def.jpeg", "iasImprUrlApp": "https://test-default.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test-default.com/def.jpeg", "dvImprUrlApp": "https://test-default.com/def.jpeg", "iasDesktopMWebTag": "https://test-default.com/def.jpeg", "dvDesktopMWebTag": "https://test-default.com/def.jpeg" }, "urlTracker": [ { "adUnit": "TILE", "clickUrlDesktopMWeb": "https://www.test.com/search?q=test+url+desktop+mweb", "clickUrlApp": "https://www.test.com/search?q=test+url+desktop+app", "dcmClickUrlDesktopMWeb": "https://test.net", "dcmClickUrlApp": "https://test.net", "dcmImprUrlDesktopMWeb": "https://test.com/abd.jpeg", "dcmImprUrlApp": "https://test.com/def.jpeg", "iasImprUrlDesktopMWeb": "https://test.com/def.jpeg", "iasImprUrlApp": "https://test.com/def.jpeg", "dvImprUrlDesktopMWeb": "https://test.com/def.jpeg", "dvImprUrlApp": "https://test.com/def.jpeg", "iasDesktopMWebTag": "https://test.com/def.jpeg", "dvDesktopMWebTag": "https://test.com/def.jpeg" } ] }
]'

Response

ElementDescriptionType
codeThe response code can have following values:
  • success
  • failure

Click here for more information about Status Codes and Errors
string
detailsDetails will populate success or error message depending upon value of codearray
adGroupIdID of the ad group being added to the ad grouplong
creativeIdID of the creativestring

Sample Response - Creative Association with only Rollback badge enabled

[ { "code": "success", "details": [ "CREATIVE_AD_GROUP_ASSOCIATION_MARQUEE_CREATE_SUCCESS", "CREATIVE_AD_GROUP_ASSOCIATION_GALLARY_CREATE_SUCCESS", "CREATIVE_AD_GROUP_ASSOCIATION_BRANDBOX_CREATE_SUCCESS", "CREATIVE_AD_GROUP_ASSOCIATION_SKYLINE_CREATE_SUCCESS", "CREATIVE_AD_GROUP_ASSOCIATION_TILE_CREATE_SUCCESS"], "adGroupId": 1, "creativeId": "abcd-1234" }
] 

Sample Response - with all badges enabled

[ { "code": "success", "details": [ "CREATIVE_AD_GROUP_ASSOCIATION_MARQUEE_CREATE_SUCCESS", "CREATIVE_AD_GROUP_ASSOCIATION_GALLARY_CREATE_SUCCESS", "CREATIVE_AD_GROUP_ASSOCIATION_BRANDBOX_CREATE_SUCCESS", "CREATIVE_AD_GROUP_ASSOCIATION_SKYLINE_CREATE_SUCCESS", "CREATIVE_AD_GROUP_ASSOCIATION_TILE_CREATE_SUCCESS"], "adGroupId": 1, "creativeId": "abcd-1234" }
]

Sample Response (Batch Operation)

[ { "code": "success", "details": [ "CREATIVE_AD_GROUP_ASSOCIATION_MARQUEE_CREATE_SUCCESS", "CREATIVE_AD_GROUP_ASSOCIATION_GALLARY_CREATE_SUCCESS", "CREATIVE_AD_GROUP_ASSOCIATION_BRANDBOX_CREATE_SUCCESS", "CREATIVE_AD_GROUP_ASSOCIATION_SKYLINE_CREATE_SUCCESS", "CREATIVE_AD_GROUP_ASSOCIATION_TILE_CREATE_SUCCESS" ], "adGroupId": 1, "creativeId": "abcd-1234" }, { "code": "success", "details": [ "CREATIVE_AD_GROUP_ASSOCIATION_MARQUEE_CREATE_SUCCESS", "CREATIVE_AD_GROUP_ASSOCIATION_GALLARY_CREATE_SUCCESS", "CREATIVE_AD_GROUP_ASSOCIATION_BRANDBOX_CREATE_SUCCESS", "CREATIVE_AD_GROUP_ASSOCIATION_SKYLINE_CREATE_SUCCESS", "CREATIVE_AD_GROUP_ASSOCIATION_TILE_CREATE_SUCCESS" ], "adGroupId": 2, "creativeId": "abcd-1234" }
]

Sample Response Success - Create association with TILE adUnits and no badge settings

[ { "code": "success", "adGroupId": 1, "creativeId": "abcd-1234" "details": [ "CREATIVE_AD_GROUP_ASSOCIATION_MARQUEE_CREATE_SUCCESS", "CREATIVE_AD_GROUP_ASSOCIATION_TILE_CREATE_SUCCESS"
], }
]

Sample Response Failure - Create association with TILE adUnits and no badge settings

[ { "code": "failure", "adGroupId": 1, "creativeId": "abcd-1234" "details": [ "ERROR1",
"ERROR2"
], }
]

Sample Response Success -Create association For Video

[ { "code": "success", "adGroupId": 1, "creativeId": "abcd-1234" "details": [ "CREATIVE_AD_GROUP_ASSOCIATION_BRANDBOX_CREATE_SUCCESS", "CREATIVE_AD_GROUP_ASSOCIATION_CHECKIN_CREATE_SUCCESS", "CREATIVE_AD_GROUP_ASSOCIATION_FEATURE_4_CREATE_SUCCESS" ], }
]

Sample Response Failure -Create association For Video

[ { "code": "failure", "adGroupId": 1, "creativeId": "abcd-1234" "details": [ "string", "string" ], }
]

Sample Response SUCCESS- Create association with defaultUrlTracker and ad-unit override (For the TILE ad unit, the values in urlTracker override the default landing page URLs and trackers)

[ { "code": "success", "adGroupId": 1, "creativeId": "abcd-1234" "details": [ "CREATIVE_AD_GROUP_ASSOCIATION_BRANDBOX_CREATE_SUCCESS",
"CREATIVE_AD_GROUP_ASSOCIATION_CHECKIN_CREATE_SUCCESS",
"CREATIVE_AD_GROUP_ASSOCIATION_FTILE_CREATE_SUCCESS"
], }
]

Sample Response FAILURE - Create association with defaultUrlTracker and ad-unit override (For the TILE ad unit, the values in urlTracker override the default landing page URLs and trackers)

[ { "code": "failure", "adGroupId": 1, "creativeId": "abcd-1234" "details": [ "string",
"string"
], }
]